= git-lfs-dedup(1)

== NAME

git-lfs-dedup - Deduplicate Git LFS files

== SYNOPSIS

`git lfs dedup`

== DESCRIPTION

Deduplicates storage by re-creating working tree files as clones of the
files in the Git LFS storage directory using the operating system's
copy-on-write file creation functionality.

If the operating system or file system don't support copy-on-write file
creation, this command exits unsuccessfully.

This command will also exit without success if any Git LFS extensions
are configured, as these will typically be used to alter the file
contents before they are written to the Git LFS storage directory, and
therefore the working tree files should not be copy-on-write clones of
the LFS object files.

== SEE ALSO

Part of the git-lfs(1) suite.
